## sip4 4.16.6+dfsg

=== debian/changelog ===
sip4 (4.16.6+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Bump year in debian/copyright.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 27 Feb 2015 16:00:06 +0300

sip4 (4.16.5+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Refresh and simplify patches.
  * Drop configure.py.patch, no longer needed.
  * Update clean and install targets in debian/rules for new version.
  * Build-depend on dh-python explicitly.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 25 Dec 2014 14:59:14 +0300
