=== debian/control ===
Source: sip4
Section: devel
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Torsten Marek <shlomme@debian.org>,
           Michael Casadevall <mcasadevall@debian.org>,
           Scott Kitterman <scott@kitterman.com>,
           Dmitry Shachnev <mitya57@debian.org>
Build-Depends: debhelper (>= 7),
               dh-python,
               dpkg-dev (>= 1.16.1~),
               flex,
               python-all-dbg,
               python-all-dev (>= 2.7.2-5~),
               python-sphinx (>= 1.0.7+dfsg),
               python3-all-dbg,
               python3-all-dev (>= 3.3.2-5~)
Standards-Version: 3.9.6
Homepage: http://www.riverbankcomputing.co.uk/software/sip/
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/sip4/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/sip4/trunk/
X-Python-Version: >= 2.4
X-Python3-Version: >= 3.0

Package: python-sip
Architecture: any
Section: python
Provides: ${sip:Provides}
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Breaks: python-qscintilla (<< 2.7.2),
        python-qwt5-qt4 (<< 5.2.1~cvs20091107+dfsg-7~),
        python-qwt3d-qt4 (<< 0.1.7~cvs20090625-12~),
        python-qt4 (<< 4.10.2~)
Description: Python/C++ bindings generator runtime library
 SIP is a tool for generating bindings for C++ classes with some ideas
 borrowed from SWIG, but capable of tighter bindings because of its
 specificity towards C++ and Python.

Package: python-sip-dbg
Priority: extra
Architecture: any
Section: debug
Depends: python-sip (= ${binary:Version}), python-dbg, ${shlibs:Depends}, ${misc:Depends}
Description: Python/C++ bindings generator runtime library (debug extension)
 SIP is a tool for generating bindings for C++ classes with some ideas
 borrowed from SWIG, but capable of tighter bindings because of its
 specificity towards C++ and Python.
 .
 This package contains the extension built for the Python debug interpreter.

Package: python-sip-dev
Architecture: any
Section: python
Depends: ${python:Depends}, python-sip (= ${binary:Version}), sip-dev (= ${binary:Version}),
 python-dev, ${shlibs:Depends}, ${misc:Depends}
Suggests: python-sip-doc
Description: Python/C++ bindings generator development files
 SIP is a tool for generating bindings for C++ classes with some ideas
 borrowed from SWIG, but capable of tighter bindings because of its
 specificity towards C++ and Python.
 .
 SIP was originally designed to generate Python bindings for KDE and so
 has explicit support for the signal slot mechanism used by the Qt/KDE
 class libraries.
 .
 Features:
     - connecting Qt signals to Python functions and class methods
     - connecting Python signals to Qt slots
     - overloading virtual member functions with Python class methods
     - protected member functions
     - abstract classes
     - enumerated types
     - global class instances
     - static member functions.
 .
 This package contains sipdistutils and the development headers needed to
 develop Python bindings with sip.

Package: sip-dev
Architecture: any
Section: python
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: python-sip-dev (>= ${source:Version}) | python3-sip-dev (>= ${source:Version})
Suggests: python-sip-doc
Breaks: python-sip-dev (<< 4.14.7-3~)
Replaces: python-sip-dev (<< 4.14.7-3~)
Description: Python/C++ bindings generator code generator application
 SIP is a tool for generating bindings for C++ classes with some ideas
 borrowed from SWIG, but capable of tighter bindings because of its
 specificity towards C++ and Python.
 .
 SIP was originally designed to generate Python bindings for KDE and so
 has explicit support for the signal slot mechanism used by the Qt/KDE
 class libraries.
 .
 Features:
     - connecting Qt signals to Python functions and class methods
     - connecting Python signals to Qt slots
     - overloading virtual member functions with Python class methods
     - protected member functions
     - abstract classes
     - enumerated types
     - global class instances
     - static member functions.
 .
 This package contains the code generator tool needed to develop Python and
 Python 3 bindings with sip.

Package: sip-dbg
Priority: extra
Architecture: any
Section: debug
Depends: sip-dev (= ${binary:Version}), python-dbg, ${shlibs:Depends}, ${misc:Depends}
Description: Debug symbols for Python/C++ bindings generator application
 SIP is a tool for generating bindings for C++ classes with some ideas
 borrowed from SWIG, but capable of tighter bindings because of its
 specificity towards C++ and Python.
 .
 SIP was originally designed to generate Python bindings for KDE and so
 has explicit support for the signal slot mechanism used by the Qt/KDE
 class libraries.
 .
 Features:
     - connecting Qt signals to Python functions and class methods
     - connecting Python signals to Qt slots
     - overloading virtual member functions with Python class methods
     - protected member functions
     - abstract classes
     - enumerated types
     - global class instances
     - static member functions.
 .
 This package contains the debug symbols for the code generator tool needed to
 develop Python and Python 3 bindings with sip.

Package: python-sip-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Description: Python/C++ bindings generator documentation
 SIP is a tool for generating bindings for C++ classes with some ideas
 borrowed from SWIG, but capable of tighter bindings because of its
 specificity towards C++ and Python.
 .
 SIP was originally designed to generate Python bindings for KDE and so
 has explicit support for the signal slot mechanism used by the Qt/KDE
 class libraries.
 .
 Features:
     - connecting Qt signals to Python functions and class methods
     - connecting Python signals to Qt slots
     - overloading virtual member functions with Python class methods
     - protected member functions
     - abstract classes
     - enumerated types
     - global class instances
     - static member functions.
 .
 This package contains the html documentation.

Package: python3-sip
Architecture: any
Section: python
Provides: ${sip3:Provides}
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Breaks: python3-pyqt4.qsci (<< 2.7.2),
        python3-pyqt4 (<< 4.10.2~)
Description: Python 3/C++ bindings generator runtime library
 SIP is a tool for generating bindings for C++ classes with some ideas
 borrowed from SWIG, but capable of tighter bindings because of its
 specificity towards C++ and Python.
 .
 This package provides SIP with support for Python 3

Package: python3-sip-dev
Architecture: any
Section: python
Depends: ${python3:Depends}, python3-sip (= ${binary:Version}), sip-dev (= ${binary:Version}),
 python3-dev, ${shlibs:Depends}, ${misc:Depends}
Suggests: python-sip-doc
Description: Python 3/C++ bindings generator development files
 SIP is a tool for generating bindings for C++ classes with some ideas
 borrowed from SWIG, but capable of tighter bindings because of its
 specificity towards C++ and Python.
 .
 SIP was originally designed to generate Python bindings for KDE and so
 has explicit support for the signal slot mechanism used by the Qt/KDE
 class libraries.
 .
 Features:
     - connecting Qt signals to Python functions and class methods
     - connecting Python signals to Qt slots
     - overloading virtual member functions with Python class methods
     - protected member functions
     - abstract classes
     - enumerated types
     - global class instances
     - static member functions.
 .
 This package contains sipdistutils and the development headers needed to
 develop Python 3 bindings with sip.

Package: python3-sip-dbg
Architecture: any
Section: debug
Priority: extra
Depends: python3-sip (= ${binary:Version}), python3-dbg, ${shlibs:Depends}, ${misc:Depends}
Description: Python 3/C++ bindings generator runtime library (debug extension)
 SIP is a tool for generating bindings for C++ classes with some ideas
 borrowed from SWIG, but capable of tighter bindings because of its
 specificity towards C++ and Python.
 .
 This package contains debugging symbols for python3-sip
