## sip4 4.16.9+dfsg

=== debian/changelog ===
sip4 (4.16.9+dfsg-1build1) wily; urgency=medium

  * No-change rebuild for python3.5 transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 24 Jul 2015 19:53:12 +0000

sip4 (4.16.9+dfsg-1) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * More minor simplifications to sipconfig wrappers.

  [ Scott Kitterman ]
  * New upstream release

 -- Scott Kitterman <scott@kitterman.com>  Sun, 19 Jul 2015 12:17:06 -0400

sip4 (4.16.8+dfsg-2) unstable; urgency=medium

  * Fix package names in error messages in sipconfig files.
  * Fix Python 3 package name in PY3_PROVIDES.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 25 Jun 2015 12:05:53 +0300

sip4 (4.16.8+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Drop fix_methodcode_regression.diff, applied upstream.
  * Bump API version to 11.2 (keep 11.0 and 11.1 in provided versions).

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 13 Jun 2015 14:12:52 +0300

sip4 (4.16.7+dfsg-2) unstable; urgency=medium

  * Bump debhelper compatibility level to 9.
  * Be verbose when renaming extension files.
  * Add a temporary hack to use upstream stylesheet when building the
    documentation with Sphinx 1.2.
  * Update sip.1 manpage, some options changed since last update.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 06 May 2015 21:13:39 +0300

sip4 (4.16.7+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Backport upstream patch to fix a regression in this release.
  * Merge two siputils patches into a single one.
  * Get rid of useless python call in debian/rules.
  * Revert upstream change that breaks build with Sphinx 1.2.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 27 Mar 2015 11:17:15 +0300
