=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: sip4
 Section: devel
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Torsten Marek <shlomme@debian.org>,
            Michael Casadevall <mcasadevall@debian.org>,
            Scott Kitterman <scott@kitterman.com>,
            Dmitry Shachnev <mitya57@debian.org>
-Build-Depends: debhelper (>= 7),
+Build-Depends: debhelper (>= 9),
                dh-python,
                dpkg-dev (>= 1.16.1~),
                flex,
