=== debian/rules ===
--- 
+++ 
@@ -2,10 +2,10 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-PY2_PROVIDES=sip-api-11.0, sip-api-11.1
-PY3_PROVIDES=sip-py3api-11.0, sip-py3api-11.1
+PY2_PROVIDES=sip-api-11.0, sip-api-11.1, sip-api-11.2
+PY3_PROVIDES=sip-py3api-11.0, sip-py3api-11.1, sip-py3api-11.2
 # `dh_python3 --depends sip3` should generate dependency on newest API only
-PYDIST=sip $(shell python -c "a=[i.strip() for i in '$(PY3_PROVIDES)'.split(',')]; print sorted(a, reverse=True)[0]")
+PYDIST=sip $(lastword $(PY3_PROVIDES))
 
 INSTDIR=$(CURDIR)/debian
 
@@ -102,7 +102,7 @@
 
 	for i in $$(find debian/python*-sip-dbg -name '*.so'); do \
 		b=$$(basename $$i .so); \
-		mv $$i $$(dirname $$i)/$${b}_d.so; \
+		mv -v $$i $$(dirname $$i)/$${b}_d.so; \
 	done
 	find debian/python*-sip-dbg ! -type d ! -name '*_d.*' ! -name *sipconfig_d* | xargs rm -f
 	find debian/python*-sip-dbg -depth -empty -exec rmdir {} \;
@@ -188,6 +188,8 @@
 # Build architecture independant packages using the common target.
 binary-indep:
 	sphinx-build sphinx debian/python-sip-doc/usr/share/doc/python-sip-doc/html
+	# Temporary hack to use upstream stylesheet with Sphinx 1.2
+	cd debian/python-sip-doc/usr/share/doc/python-sip-doc/html/_static && mv classic.css default.css
 	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common
 
 # Build architecture dependant packages using the common target.
