## sip4 4.17+dfsg

=== debian/changelog ===
sip4 (4.17+dfsg-1ubuntu0.1) xenial; urgency=medium

  * Fixed issues with C/C++ member variable getters and setters. This
    restores the keeping of a reference to the containing object in the
    instance of a contained class (LP: #1861601).

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sun, 15 Mar 2020 19:23:54 +0300

sip4 (4.17+dfsg-1build1) xenial; urgency=medium

  * No-change rebuild to drop python3.4 support.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 18 Jan 2016 19:40:08 +0000

sip4 (4.17+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- Scott Kitterman <scott@kitterman.com>  Sat, 24 Oct 2015 14:19:18 -0400

sip4 (4.16.9+dfsg-2) unstable; urgency=medium

  [ Andreas Beckmann ]
  * python-sip: Add Breaks against obsolete and buggy transitional
    package python-sip4-dbg to ensure its removal.  (Closes: #789452)

  [ Dmitry Shachnev ]
  * Build with Sphinx 1.3.
  * Do not compile C code during arch-indep build, to speed it up.
  * Move python-sphinx to Build-Depends-Indep.
  * Unify indentation in debian/rules.
  * Remove unused INSTDIR variable.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 07 Sep 2015 12:10:41 +0300
