=== debian/control ===
--- 
+++ 
@@ -13,13 +13,13 @@
                flex,
                python-all-dbg,
                python-all-dev (>= 2.7.2-5~),
-               python-sphinx (>= 1.0.7+dfsg),
                python3-all-dbg,
                python3-all-dev (>= 3.3.2-5~)
+Build-Depends-Indep: python-sphinx (>= 1.3)
 Standards-Version: 3.9.6
 Homepage: http://www.riverbankcomputing.co.uk/software/sip/
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/sip4/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/sip4/trunk/
+Vcs-Git: git://anonscm.debian.org/python-modules/packages/sip4.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/sip4.git
 X-Python-Version: >= 2.4
 X-Python3-Version: >= 3.0
 
@@ -31,7 +31,8 @@
 Breaks: python-qscintilla (<< 2.7.2),
         python-qwt5-qt4 (<< 5.2.1~cvs20091107+dfsg-7~),
         python-qwt3d-qt4 (<< 0.1.7~cvs20090625-12~),
-        python-qt4 (<< 4.10.2~)
+        python-qt4 (<< 4.10.2~),
+        python-sip4-dbg
 Description: Python/C++ bindings generator runtime library
  SIP is a tool for generating bindings for C++ classes with some ideas
  borrowed from SWIG, but capable of tighter bindings because of its
