## sip4 4.18+dfsg

=== debian/changelog ===
sip4 (4.18+dfsg-1) unstable; urgency=medium

  [ Scott Kitterman ]
  * New upstream release
  * Update sip provides for new sip API version 11.3
  * Bump standards version to 3.9.8 without further change
  * Update debian/copyright for 2016
  * Adjust debian/rules to copy typehints file (sip.pyi) into the build
    directories
  * Update debian/python{3}-sip.install to include .pyi file

  [ Ondřej Novy ]
  * Fixed VCS URL (https)

 -- Scott Kitterman <scott@kitterman.com>  Fri, 15 Apr 2016 19:47:50 -0400

sip4 (4.17+dfsg-2) unstable; urgency=medium

  * Apply debian/rules patch to make package build reproducible (Closes:
    #815512)
    - Thanks to Reiner Herrmann for the patch

 -- Scott Kitterman <scott@kitterman.com>  Mon, 22 Feb 2016 16:28:25 -0500
