=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: sip4
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Torsten Marek <shlomme@debian.org>,
            Michael Casadevall <mcasadevall@debian.org>,
            Scott Kitterman <scott@kitterman.com>,
@@ -16,9 +15,9 @@
                python3-all-dbg,
                python3-all-dev (>= 3.3.2-5~)
 Build-Depends-Indep: python-sphinx (>= 1.3)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://www.riverbankcomputing.co.uk/software/sip/
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/sip4.git
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/sip4.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/sip4.git
 X-Python-Version: >= 2.4
 X-Python3-Version: >= 3.0
