=== debian/rules ===
--- 
+++ 
@@ -2,8 +2,8 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-PY2_PROVIDES=sip-api-11.0, sip-api-11.1, sip-api-11.2
-PY3_PROVIDES=sip-py3api-11.0, sip-py3api-11.1, sip-py3api-11.2
+PY2_PROVIDES=sip-api-11.0, sip-api-11.1, sip-api-11.2, sip-api-11.3
+PY3_PROVIDES=sip-py3api-11.0, sip-py3api-11.1, sip-py3api-11.2, sip-py3api-11.3
 # `dh_python3 --depends sip3` should generate dependency on newest API only
 PYDIST=sip $(lastword $(PY3_PROVIDES))
 
@@ -30,6 +30,7 @@
 build-%/configure-stamp: $(PYTHON3S:%=sipconfig-%)
 	dh_testdir
 	mkdir -p build-$*
+	cp $(CURDIR)/sip.pyi $(CURDIR)/build-$*
 	cd build-$* \
 		&& python$* ../configure.py \
 			-d /usr/lib/python$*/dist-packages \
@@ -41,6 +42,7 @@
 dbg-build-%/configure-stamp:
 	dh_testdir
 	mkdir -p dbg-build-$*
+	cp $(CURDIR)/sip.pyi $(CURDIR)/dbg-build-$*
 	cd dbg-build-$* \
 		&& python$*-dbg ../configure.py \
 			-d /usr/lib/python$*/dist-packages \
@@ -174,9 +176,9 @@
 	DH_OPTIONS= dh_strip -psip-dev --dbg-package=sip-dbg
 endif
 	dh_compress -X.inv
-	dh_fixperms
 	dh_python2 --no-dbg-cleaning -N sip-dev
 	dh_python3 --no-dbg-cleaning -N sip-dev
+	dh_fixperms
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
