## sip4 4.18.1+dfsg

=== debian/changelog ===
sip4 (4.18.1+dfsg-2) unstable; urgency=medium

  [ Scott Kitterman ]
  * Remove Michael Casadevall from uploaders due to retirement from Debian
    (Closes: #841465)
    - Thanks Michael for all your work on sip4

  [ Dmitry Shachnev ]
  * Drop 11.0 and 11.1 API versions, as there was an unintended ABI break
    between 11.1 and 11.2 (Closes: #831860). Still provide 11.2 and 11.3.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 23 May 2017 10:57:38 +0300

sip4 (4.18.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Document two new options in sip.1 manpage.
  * Regenerate lexer and parser source files during build, using flex
    and bison.
  * Add repacksuffix=+dfsg option to debian/watch.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 27 Jul 2016 21:10:32 +0300
