=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Torsten Marek <shlomme@debian.org>,
-           Michael Casadevall <mcasadevall@debian.org>,
            Scott Kitterman <scott@kitterman.com>,
            Dmitry Shachnev <mitya57@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: bison,
+               debhelper (>= 9),
                dh-python,
                dpkg-dev (>= 1.16.1~),
                flex,
