=== debian/rules ===
--- 
+++ 
@@ -2,8 +2,8 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-PY2_PROVIDES=sip-api-11.0, sip-api-11.1, sip-api-11.2, sip-api-11.3
-PY3_PROVIDES=sip-py3api-11.0, sip-py3api-11.1, sip-py3api-11.2, sip-py3api-11.3
+PY2_PROVIDES=sip-api-11.2, sip-api-11.3
+PY3_PROVIDES=sip-py3api-11.2, sip-py3api-11.3
 # `dh_python3 --depends sip3` should generate dependency on newest API only
 PYDIST=sip $(lastword $(PY3_PROVIDES))
 
@@ -27,7 +27,13 @@
 
 configure: $(PYTHONS:%=build-%/configure-stamp) $(PYTHONS:%=dbg-build-%/configure-stamp)
 
-build-%/configure-stamp: $(PYTHON3S:%=sipconfig-%)
+sipgen/lexer.c: sipgen/metasrc/lexer.l
+	flex --outfile=sipgen/lexer.c sipgen/metasrc/lexer.l
+
+sipgen/parser.c: sipgen/metasrc/parser.y
+	bison --yacc --defines=sipgen/parser.h --output=sipgen/parser.c sipgen/metasrc/parser.y
+
+build-%/configure-stamp: $(PYTHON3S:%=sipconfig-%) sipgen/lexer.c sipgen/parser.c
 	dh_testdir
 	mkdir -p build-$*
 	cp $(CURDIR)/sip.pyi $(CURDIR)/build-$*
@@ -39,7 +45,7 @@
 			LFLAGS="${LDFLAGS}" LFLAGS_RELEASE=""
 	touch $@
 
-dbg-build-%/configure-stamp:
+dbg-build-%/configure-stamp: sipgen/lexer.c sipgen/parser.c
 	dh_testdir
 	mkdir -p dbg-build-$*
 	cp $(CURDIR)/sip.pyi $(CURDIR)/dbg-build-$*
@@ -81,6 +87,7 @@
 	cp $(CURDIR)/debian/sipconfig_py3.header $(CURDIR)/debian/sipconfig_py3.py
 	rm -rf $(CURDIR)/debian/sipconfig_py3.py.tmp
 	rm -rf $(CURDIR)/sipconfig-3.*
+	rm -f sipgen/lexer.c sipgen/parser.h sipgen/parser.c sipgen/parser.output
 	dh_clean debian/python3-sip.pydist
 
 install-arch: build
@@ -192,11 +199,3 @@
 
 # Build architecture dependant packages using the common target.
 binary-arch: install-arch
-	$(MAKE) -f debian/rules DH_OPTIONS=-a binary-common
-
-binary: binary-arch binary-indep
-
-get-orig-source:
-	uscan --verbose --download-current-version
-
-.PHONY: build binary-indep binary-arch binary clean configure get-orig-source
