## sip4 4.19.3+dfsg

=== debian/changelog ===
sip4 (4.19.3+dfsg-2) unstable; urgency=medium

  * Move sip-dbg to automatic dbgsym package (but not python*-sip-dbg).
  * Drop Breaks/Replaces on versions that are not even in oldstable.
  * Bump Standards-Version to 4.1.0, stop using deprecated Priority: extra.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 23 Sep 2017 21:17:35 +0300

sip4 (4.19.3+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Bump API version to 12.2.
  * Switch from python-sphinx to python3-sphinx.
  * Bump Standards-Version to 4.0.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 06 Jul 2017 11:27:34 +0300

sip4 (4.19.2+dfsg-1) experimental; urgency=medium

  * New upstream bugfix release.
  * Drop python-sip4-dbg Breaks, it was only needed for Stretch.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 08 May 2017 22:42:15 +0300

sip4 (4.19.1+dfsg-3) experimental; urgency=medium

  * The “How could I screw it up so badly” upload.
  * Fix the Provides syntax in debian/rules.
  * Document the new -D option in sip manpage.
  * Bump years in debian/copyright.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 15 Feb 2017 22:48:16 +0300

sip4 (4.19.1+dfsg-2) experimental; urgency=medium

  * Brown paper bag upload.
  * Bump API version to 12.1.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 15 Feb 2017 22:23:50 +0300

sip4 (4.19.1+dfsg-1) experimental; urgency=medium

  * New upstream release.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 15 Feb 2017 21:44:36 +0300

sip4 (4.19+dfsg-1) experimental; urgency=medium

  [ Scott Kitterman ]
  * Remove Michael Casadevall from uploaders due to retirement from Debian
    (Closes: #841465)
    - Thanks Michael for all your work on sip4

  [ Dmitry Shachnev ]
  * New upstream release.
  * Drop siputils_debian_changes.diff (for experimental upload), I think
    it may be no longer needed.
  * Bump API version to 12.0.
  * Call dh_strip_nondeterminism during build.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 04 Jan 2017 21:53:11 +0300
