=== debian/rules ===
--- 
+++ 
@@ -2,8 +2,8 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-PY2_PROVIDES=sip-api-11.2, sip-api-11.3
-PY3_PROVIDES=sip-py3api-11.2, sip-py3api-11.3
+PY2_PROVIDES=sip-api-12.0, sip-api-12.1, sip-api-12.2
+PY3_PROVIDES=sip-py3api-12.0, sip-py3api-12.1, sip-py3api-12.2
 # `dh_python3 --depends sip3` should generate dependency on newest API only
 PYDIST=sip $(lastword $(PY3_PROVIDES))
 
@@ -173,15 +173,13 @@
 	rm -rf debian/python3-sip-dbg/usr/share/doc/python3-sip-dbg
 	mkdir -p debian/python3-sip-dbg/usr/share/doc
 	ln -s python3-sip debian/python3-sip-dbg/usr/share/doc/python3-sip-dbg
-	rm -rf debian/sip-dbg/usr/share/doc/sip-dbg
-	mkdir -p debian/sip-dbg/usr/share/doc
-	ln -s sip-dev debian/sip-dbg/usr/share/doc/sip-dbg
 	DH_OPTIONS= dh_strip -ppython-sip-dev
 	DH_OPTIONS= dh_strip -ppython-sip -Npython-sip-dev --dbg-package=python-sip-dbg
 	DH_OPTIONS= dh_strip -ppython3-sip-dev
 	DH_OPTIONS= dh_strip -ppython3-sip -Npython3-sip-dev --dbg-package=python3-sip-dbg
-	DH_OPTIONS= dh_strip -psip-dev --dbg-package=sip-dbg
+	DH_OPTIONS= dh_strip -psip-dev --dbgsym-migration='sip-dbg (<< 4.19.3+dfsg-2~)'
 endif
+	dh_strip_nondeterminism
 	dh_compress -X.inv
 	dh_python2 --no-dbg-cleaning -N sip-dev
 	dh_python3 --no-dbg-cleaning -N sip-dev
@@ -199,3 +197,7 @@
 
 # Build architecture dependant packages using the common target.
 binary-arch: install-arch
+	$(MAKE) -f debian/rules DH_OPTIONS=-a binary-common
+
+binary: binary-arch binary-indep
+
