## sip4 4.19.5+dfsg

=== debian/changelog ===
sip4 (4.19.5+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Bump API version to 12.3.
  * Update debhelper compat level to 10.
  * Bump Standards-Version to 4.1.1, no changes needed.
  * Remove debian/python-sip-doc.links, not needed with dh_sphinxdoc.
  * Use dh_installdocs --link-doc for debug packages.
  * Update descriptions of -dbg packages.
  * Remove use of ${shlibs:Depends} from -dev packages.
  * Remove python*-sip-dbg.postinst files, they were only needed for
    upgrades from Wheezy.
  * Regenerate dh_sip and dh_sip3 manpages during build using pod2man.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 09 Nov 2017 16:04:40 +0300
