=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
            Scott Kitterman <scott@kitterman.com>,
            Dmitry Shachnev <mitya57@debian.org>
 Build-Depends: bison,
-               debhelper (>= 9.20160114~),
+               debhelper (>= 10),
                dh-python,
                dh-strip-nondeterminism,
                dpkg-dev (>= 1.16.1~),
@@ -16,7 +16,7 @@
                python3-all-dbg,
                python3-all-dev (>= 3.3.2-5~)
 Build-Depends-Indep: python3-sphinx (>= 1.3)
-Standards-Version: 4.1.0
+Standards-Version: 4.1.1
 Homepage: http://www.riverbankcomputing.co.uk/software/sip/
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/sip4.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/sip4.git
@@ -42,13 +42,14 @@
  borrowed from SWIG, but capable of tighter bindings because of its
  specificity towards C++ and Python.
  .
- This package contains the extension built for the Python debug interpreter.
+ This package contains the extension built for the Python debug interpreter,
+ and the debugging symbols for python-sip package.
 
 Package: python-sip-dev
 Architecture: any
 Section: python
 Depends: ${python:Depends}, python-sip (= ${binary:Version}), sip-dev (= ${binary:Version}),
- python-dev, ${shlibs:Depends}, ${misc:Depends}
+ python-dev, ${misc:Depends}
 Suggests: python-sip-doc
 Description: Python/C++ bindings generator development files
  SIP is a tool for generating bindings for C++ classes with some ideas
@@ -141,7 +142,7 @@
 Architecture: any
 Section: python
 Depends: ${python3:Depends}, python3-sip (= ${binary:Version}), sip-dev (= ${binary:Version}),
- python3-dev, ${shlibs:Depends}, ${misc:Depends}
+ python3-dev, ${misc:Depends}
 Suggests: python-sip-doc
 Description: Python 3/C++ bindings generator development files
  SIP is a tool for generating bindings for C++ classes with some ideas
@@ -174,4 +175,5 @@
  borrowed from SWIG, but capable of tighter bindings because of its
  specificity towards C++ and Python.
  .
- This package contains debugging symbols for python3-sip
+ This package contains the extension built for the Python 3 debug interpreter,
+ and the debugging symbols for python3-sip package.
