## sip4 4.19.6+dfsg

=== debian/changelog ===
sip4 (4.19.6+dfsg-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 25 Nov 2017 14:31:06 +0300
