=== debian/rules ===
--- 
+++ 
@@ -2,8 +2,8 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-PY2_PROVIDES=sip-api-12.0, sip-api-12.1, sip-api-12.2
-PY3_PROVIDES=sip-py3api-12.0, sip-py3api-12.1, sip-py3api-12.2
+PY2_PROVIDES=sip-api-12.0, sip-api-12.1, sip-api-12.2, sip-api-12.3
+PY3_PROVIDES=sip-py3api-12.0, sip-py3api-12.1, sip-py3api-12.2, sip-py3api-12.3
 # `dh_python3 --depends sip3` should generate dependency on newest API only
 PYDIST=sip $(lastword $(PY3_PROVIDES))
 
@@ -55,7 +55,7 @@
 			-e /usr/include/python$*_d \
 			-u CFLAGS="${CFLAGS} ${CPPFLAGS}" CFLAGS_RELEASE="" \
 			CXXFLAGS="${CXXFLAGS} ${CPPFLAGS}" CXXFLAGS_RELEASE="" \
-			LFLAGS="${LDFLAGS}" LFLAGS_RELEASE="" STRIP="" 
+			LFLAGS="${LDFLAGS}" LFLAGS_RELEASE="" STRIP=""
 	touch $@
 
 sipconfig-3.%:
@@ -88,11 +88,12 @@
 	rm -rf $(CURDIR)/debian/sipconfig_py3.py.tmp
 	rm -rf $(CURDIR)/sipconfig-3.*
 	rm -f sipgen/lexer.c sipgen/parser.h sipgen/parser.c sipgen/parser.output
+	rm -f debian/manpages/dh_sip.1 debian/manpages/dh_sip3.1
 	dh_clean debian/python3-sip.pydist
 
 install-arch: build
 	dh_testdir
-	dh_testroot	
+	dh_testroot
 	dh_prep -a
 	echo "sip:Provides=$(PY2_PROVIDES)" >> debian/python-sip.substvars
 	echo "sip3:Provides=$(PY3_PROVIDES)" >> debian/python3-sip.substvars
@@ -156,9 +157,11 @@
 binary-common:
 	dh_testdir
 	dh_testroot
+	pod2man -c Debhelper -r '' debian/dh_sip debian/manpages/dh_sip.1
+	pod2man -c Debhelper -r '' debian/dh_sip3 debian/manpages/dh_sip3.1
 	dh_installman
-	dh_installchangelogs NEWS
-	dh_installdocs -A
+	dh_installchangelogs -Npython-sip-dbg -Npython3-sip-dbg NEWS
+	dh_installdocs -Npython-sip-dbg -Npython3-sip-dbg
 ifeq (,$(findstring -a, $(DH_OPTIONS)))
 	dh_sphinxdoc -p python-sip-doc
 endif
@@ -167,12 +170,8 @@
 # don't call strip twice (or make the -dbg doc directories symlinks twice),
 # it's in binary-common
 ifneq (,$(findstring -a, $(DH_OPTIONS)))
-	rm -rf debian/python-sip-dbg/usr/share/doc/python-sip-dbg
-	mkdir -p debian/python-sip-dbg/usr/share/doc
-	ln -s python-sip debian/python-sip-dbg/usr/share/doc/python-sip-dbg
-	rm -rf debian/python3-sip-dbg/usr/share/doc/python3-sip-dbg
-	mkdir -p debian/python3-sip-dbg/usr/share/doc
-	ln -s python3-sip debian/python3-sip-dbg/usr/share/doc/python3-sip-dbg
+	dh_installdocs -ppython-sip-dbg --link-doc=python-sip
+	dh_installdocs -ppython3-sip-dbg --link-doc=python3-sip
 	DH_OPTIONS= dh_strip -ppython-sip-dev
 	DH_OPTIONS= dh_strip -ppython-sip -Npython-sip-dev --dbg-package=python-sip-dbg
 	DH_OPTIONS= dh_strip -ppython3-sip-dev
@@ -198,6 +197,3 @@
 # Build architecture dependant packages using the common target.
 binary-arch: install-arch
 	$(MAKE) -f debian/rules DH_OPTIONS=-a binary-common
-
-binary: binary-arch binary-indep
-
