## sip4 4.19.7+dfsg

=== debian/changelog ===
sip4 (4.19.7+dfsg-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Bump years in debian/copyright.
  * Bump Standards-Version to 4.1.3, no changes needed.
  * Specify empty DH_OPTIONS when using dh_installdocs with -p argument.
  * Add ${python[3]:Depends} to dependencies of python[3]-sip-dbg.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 25 Jan 2018 12:41:02 +0300
