=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                python3-all-dbg,
                python3-all-dev (>= 3.3.2-5~)
 Build-Depends-Indep: python3-sphinx (>= 1.3)
-Standards-Version: 4.1.1
+Standards-Version: 4.1.3
 Homepage: http://www.riverbankcomputing.co.uk/software/sip/
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/sip4.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/sip4.git
@@ -36,7 +36,10 @@
 Package: python-sip-dbg
 Architecture: any
 Section: debug
-Depends: python-sip (= ${binary:Version}), python-dbg, ${shlibs:Depends}, ${misc:Depends}
+Depends: python-sip (= ${binary:Version}),
+         ${misc:Depends},
+         ${python:Depends},
+         ${shlibs:Depends}
 Description: Python/C++ bindings generator runtime library (debug extension)
  SIP is a tool for generating bindings for C++ classes with some ideas
  borrowed from SWIG, but capable of tighter bindings because of its
@@ -169,7 +172,10 @@
 Package: python3-sip-dbg
 Architecture: any
 Section: debug
-Depends: python3-sip (= ${binary:Version}), python3-dbg, ${shlibs:Depends}, ${misc:Depends}
+Depends: python3-sip (= ${binary:Version}),
+         ${misc:Depends},
+         ${python3:Depends},
+         ${shlibs:Depends}
 Description: Python 3/C++ bindings generator runtime library (debug extension)
  SIP is a tool for generating bindings for C++ classes with some ideas
  borrowed from SWIG, but capable of tighter bindings because of its
